Search communities
curl --request GET \
--url https://scrapebadger.com/v1/twitter/communities/search \
--header 'x-api-key: <api-key>'import requests
url = "https://scrapebadger.com/v1/twitter/communities/search"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://scrapebadger.com/v1/twitter/communities/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "1234567890",
"name": "Web Developers",
"description": "<string>",
"member_count": 123,
"is_member": true,
"is_nsfw": true,
"invites_policy": "<string>",
"created_at": 123,
"created_at_datetime": "<string>",
"banner": {
"url": "<string>",
"width": 123,
"height": 123
},
"creator_id": "<string>",
"creator_username": "<string>",
"creator_name": "<string>",
"admin_id": "<string>",
"admin_username": "<string>",
"admin_name": "<string>",
"rules": [
{
"name": "<string>",
"description": "<string>"
}
]
}
],
"next_cursor": "<string>"
}{
"error": "Invalid or missing API key"
}{
"error": "Insufficient credits"
}{
"error": "Rate limit exceeded. Please retry after a short delay."
}Communities
Search Communities
Search for Twitter communities by name, description, or keywords. Returns matching communities with comprehensive information including member count, join policy, and description. Useful for discovering communities related to specific topics.
GET
/
v1
/
twitter
/
communities
/
search
Search communities
Authorizations
Your ScrapeBadger API key. You can find this in your dashboard at https://scrapebadger.com/dashboard/api-keys.
Query Parameters
Search query to match against community names and descriptions.
Example:
"web development"
Pagination cursor for fetching the next page of results.
⌘I

